package com.pcloud.book.advertising.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/28 17:24
 **/

@JsonInclude(JsonInclude.Include.NON_NULL)
public class WeixinClassifyInfoDTO implements Serializable {
    private static final long serialVersionUID = 6382137896580487792L;

    @ApiModelProperty("书id")
    private Long bookId;

    @ApiModelProperty("书名")
    private String bookName;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("分类名称")
    private String classify;

    @ApiModelProperty("社群id")
    private Long bookGroupId;

    @ApiModelProperty("社群码名称")
    private String groupQrcodeName;

    @ApiModelProperty("社群书群id")
    private Long qrcodeId;

    @ApiModelProperty("微信群id")
    private String weixinGroupId;

    @ApiModelProperty("微信群名称")
    private String weixinGroupName;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public String getWeixinGroupName() {
        return weixinGroupName;
    }

    public void setWeixinGroupName(String weixinGroupName) {
        this.weixinGroupName = weixinGroupName;
    }

    @Override
    public String toString() {
        return "WeixinClassifyInfoDTO{" +
                "bookId=" + bookId +
                ", bookName='" + bookName + '\'' +
                ", classifyId=" + classifyId +
                ", classify='" + classify + '\'' +
                ", bookGroupId=" + bookGroupId +
                ", groupQrcodeName='" + groupQrcodeName + '\'' +
                ", qrcodeId=" + qrcodeId +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                ", weixinGroupName='" + weixinGroupName + '\'' +
                '}';
    }
}
